> For the complete documentation index, see [llms.txt](https://docs.settlers-united.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.settlers-united.com/s4-lua-api-de/su-library-functions/su.settlers/su.settlers.sethealthinarearelative.md).

# SU.Settlers.SetHealthInAreaRelative

## SU.Settlers.SetHealthInAreaRelative(playerId, settlerType, x, y, radius, relativeHealth)

Setzt die relativen Lebenspunkte der angegebenen Siedler im gegebenen Bereich.

#### Notiz

* Haben Siedler keine Lebenspunkte (=0), werden sie ignoriert
* Der gegebene Relativwert (`relativeHealth`) wird auf \[0, 100] beschränkt
* `relativeHealth=0` setzt die Lebenspunkte zwar auf 0, löst aber **nicht** die Kill-Funktion aus (Siedler ist danach quasi 1-Hit)
* `x`, `y`, `radius` oder `relativeHealth` im negativen Bereich (<0) wird ignoriert und die Funktion nicht ausgeführt (siehe Rückgabewert)

#### Parameter

* `playerId`: ID des Spielers (1-8), Index 0 ungültig, -1 für alle Spieler
* `settlerType`: [Settlers](/s4-lua-api-de/api-enums/settlers.md) , -1 für alle Siedler
* `x`: x-Koordinate des Bereichs
* `y`: y-Koordinate des Bereichs
* `radius`: Radius des Bereichs
* `relativeHealth`: neue relativen Lebenspunkte (siehe Notizen)

#### Rückgabewert

* Anzahl an Entitäten, deren Lebenspunkte verändert wurden
* -1: sonst / Fehler

#### Beispiel

```lua
 local amount = SU.Settlers.SetHealthInAreaRelative(playerId, settlerType, x, y, radius, relativeHealth)

 local amount = SU.Settlers.SetHealthInAreaRelative(-1, -1, 217, 125, 20, 90)
 -- Alle Siedler aller Spieler werden in den Bereich auf 90% der max HP gesetzt
 if amount > 0 then
	dbg.stm(amount) -- Anzahl der betroffenen Siedler
 end
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.settlers-united.com/s4-lua-api-de/su-library-functions/su.settlers/su.settlers.sethealthinarearelative.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
